Subject: Re: bug#11113: 23.3; Access to the mini-buffer in auctex mode triggers window resize in KDE (Kwin)

From: Tristan Miller <[email-masked]>
Date: Wed, 12 Jun 2024 09:35:04 -0500

Greetings.

On 2024-06-08 08:46, Po Lu wrote:
> A window manager's creatively interpreting (read: failing to observe)
> geometry hints specified by a client is deficient behavior on the window
> manager's part, so the least they could have done should have been
> declining to play "shift the blame."  As enforcing window management
> properties otherwise than the client requested was a KWin bug then, so
> it is now, whether they admit it or not, and until they leave their high
> pedestal Emacs users might easily circumvent it by configuring
> `frame-resize-pixelwise' to t.

Well, let's not be so hasty to attribute to arrogance what might more 
easily be explained by ignorance or negligence.  I'll pass on the 
information you provided about the specification to the KDE bug report 
and maybe they will reconsider the matter.  In the meantime, I can 
report that:

1) The suggested workaround of (setq frame-resize-pixelwise t) works for me.

2) So far I haven't been able to reproduce the problem with KDE Plasma 
6, though I haven't tested exhaustively.  (I had reported the problem 
for Plasma 5.27, which according to 
<https://community.kde.org/Schedules/Plasma_5> is still supported, and 
is still the version many GNU/Linux distributions are shipping.)

Regards,
Tristan

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
                   Tristan Miller
Free Software developer, ferret herder, logologist
              https://logological.org/
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-